﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ClearingRestartingAutomaton.Base
{
    /// <summary>
    /// The enumeration of two possible ways how to use the instruction.
    /// </summary>
    public enum InstructionUse
    {
        /// <summary>
        /// The instruction is used to reduce the given word.
        /// </summary>
        Reduction,
        /// <summary>
        /// The inverse of the instruction is used to generate the result from the given word.
        /// </summary>
        Generation
    };
}
